Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
-  trait ScalaSettings extends StandardScalaSettings with Warnings
  Definition Classes
    settings
- CachePolicy
- LintWarnings
- MacroExpand
- UnusedWarnings
- XxmlSettings
- languageFeatures
- mixinForwarderChoices
- optChoices
- optWarningsChoices

o

scala.tools.nsc.settings.ScalaSettings

# optChoices

###

#### object optChoices extends MultiChoiceEnumeration

Source
  ScalaSettings.scala

Linear Supertypes
MultiChoiceEnumeration, Enumeration, java.io.Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. optChoices
2. MultiChoiceEnumeration
3. Enumeration
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  case class Choice(name: String, help: String = "", expandsTo: List[Choice] = Nil) extends Val with Product with Serializable
   Definition Classes
     MultiChoiceEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
5.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  val allowSkipClassLoading: Choice
9.  val allowSkipCoreModuleInit: Choice
10.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  val assumeModulesNonNull: Choice
13.  val boxUnbox: Choice
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
15.  val closureInvocations: Choice
16.  val compactLocals: Choice
17.  val copyPropagation: Choice
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  val inline: Choice
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  val lDefault: Choice
26.  val lInline: Choice
27.  val lMethod: Choice
28.  val lNone: Choice
29.  final def maxId: Int
    Definition Classes
      Enumeration
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
32.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  val nullnessTracking: Choice
36.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
37.  val redundantCasts: Choice
38.  val simplifyJumps: Choice
39.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
41.  val unreachableCode: Choice
42.  def values: ValueSet
    Definition Classes
      Enumeration
43.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
46.  def wildcardChoices: ValueSet
    Definition Classes
      optChoices → MultiChoiceEnumeration
47.  final def withName(s: String): Value
    Definition Classes
      Enumeration
48.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration
49.  object ValueSet extends SpecificIterableFactory[Value, ValueSet] with java.io.Serializable
    Definition Classes
      Enumeration
    Annotations
      @SerialVersionUID()

### Inherited from MultiChoiceEnumeration

### Inherited from Enumeration

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped